<?php

namespace App\Models;
use CodeIgniter\Model;

class Usuario extends Model
{
	protected $table = 'admin.usuarios';
	protected $primaryKey = 'id';

	public function buscarUsuarioMail($email) 
    {
    	$db = db_connect();
        $builder = $db->table($this->table)->where('email',$email)->where('l_estado', 'A');
    	$resultado = $builder->get();
        return $resultado->getResult() ? $resultado->getResult()[0] : false;
    }

	public function buscarUsuarioUsuario($usuario) 
    {
    	$db = db_connect();
        $builder = $db->table($this->table)->where('usuario',$usuario)->where('l_estado', 'A');
    	$resultado = $builder->get();
        return $resultado->getResult() ? $resultado->getResult()[0] : false;
    }
}